/*
 * Item per page
 *
 * Index
 * - Item per page
 * - Page item
 * - List group item
 * - List group label
 * - List multiple choice
 *
 */


/* ITEM PER PAGE
 -------------------- */

.items-per-page {
  display: flex;
  align-items: center;
  padding-left: 0;
  margin: 0;
  font-family: var(--road-font);
  font-size: var(--road-font-size-14);
  line-height: 1.5;
  color: var(--road-on-surface);
  list-style: none;
}

.items-per-page-label{
  color: var(--road-on-surface);
  list-style: none;
}

/* PAGE ITEM
  -------------------- */

.page-item {
  margin: 0 0.125rem;
}

/* PAGE LINK
  -------------------- */

.page-link {
  box-sizing: border-box;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 2.5rem;
  height: 2.5rem;
  padding: 0.5rem;
  color: var(--road-on-surface);
  background: var(--road-surface);
  border-radius: 0.25rem;
  outline: 0;
}

/**
  * Active state
  */

.active .page-link {
  color: var(--road-on-button-primary);
  background: var(--road-button-primary-variant);
}

/**
  * Hover state
  */

@media (hover: hover) {

  .page-link:hover {
    color: var(--road-on-button-primary);
    background: var(--road-button-primary-variant);
  }
}

/**
  * Focus on Tab
  */

.page-link.focus-visible {
  color: var(--road-on-button-primary);
  background: var(--road-button-primary-variant);
}

/**
  * Disabled state
  */

.page-link.disabled {
  color: var(--road-on-surface-disabled);
  cursor: not-allowed;
}

/**
  * Hover state
  */

@media (hover: hover) {

  .page-link:not(.disabled):hover {
    color: var(--road-on-button-primary);
    background: var(--road-button-primary-variant);
  }
}
